
.namespace s05_hotspot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	
	
		if self.Name == "back_s05" then
		NavigationManager.SwitchTo(nil,"s04_SearchSite")	
	end

	if self.Name == "drapeau_info" then
		SequencePlayer.Enabled = true
		SequencePlayer.PlaySequence("GP_502",nil,nil)
	end	
end

function OnEnable()
	AreaHotspot.OnEnable()
	--self.firstclick = true
	OPLog.Log("mon onenable "..self.Name)
end

function PrivateCanClickOn()
	--if SampleLevel.IsEqual("s05_lampe",false)  then
	--	return false
	--end
	
	return true
end

function GetSpecificCursor()
	if self.Name == "fulldark_hotspot" then
		return CURSOR_GENERIQUE
	elseif self.Name == "liste_1_hotspot" then
		return 3
	elseif	self.Name == "back_s05" then
		return 11,"s04"
	elseif self.Name == "drapeau_info" then
		return 1		
	else
		return CURSOR_AREA_HOTSPOT
	end
end

function OnDropObject()
	OPLog.Log("drop "..self.Name)
	
end